import request from '@/utils/request'

// 查询API收费订单列表
export function listApiBill(query) {
  return request({
    url: '/ss/apiBill/list',
    method: 'get',
    params: query
  })
}

// 查询API收费订单详细
export function getApiBill(billId) {
  return request({
    url: '/ss/apiBill/' + billId,
    method: 'get'
  })
}

// 新增API收费订单
export function addApiBill(data) {
  return request({
    url: '/ss/apiBill',
    method: 'post',
    data: data
  })
}

// 修改API收费订单
export function updateApiBill(data) {
  return request({
    url: '/ss/apiBill',
    method: 'put',
    data: data
  })
}

// 删除API收费订单
export function delApiBill(billId) {
  return request({
    url: '/ss/apiBill/' + billId,
    method: 'delete'
  })
}
